ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
ome::common::xml::Platform Class Reference

XML Platform. More...

`#include <ome/common/xml/Platform.h>`

## Public Member Functions
| Platform ()
| Construct a Platform. More...
| ~Platform ()
| Destructor. More...

## Static Public Attributes
static boost::mutex | mutex
| Mutex to lock libxerces access.

## Detailed Description

XML Platform.

This class wraps calls to the xercesc::XMLPlatformUtils Initialize() and Terminate() functions, to allow their use in an exception-safe manner. Create an instance of this class prior to performing any work with Xerces, and ensure it will remain in scope for all work to complete. When the scope is exited, or an exception is thrown, Xerces will be automatically terminated. Any number of instances of this class may be created; Xerces will only be terminated when the last instance is destroyed.

## Constructor & Destructor Documentation

ome::common::xml::Platform::Platform | ( |  | ) |
| inline

Construct a Platform.

Calls xercesc::XMLPlatformUtils::Initialize().

References mutex.

ome::common::xml::Platform::~Platform | ( |  | ) |
| inline

Destructor.

Calls xercesc::XMLPlatformUtils::Terminate().

References mutex.

The documentation for this class was generated from the following files:

- ome/common/xml/Platform.h
- ome/common/xml/Platform.cpp